Bug 1475553 - Outgoing SMTP E-mail Server settings not saved on first attempt
Outgoing SMTP E-mail Server settings not saved on first attempt
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.10.0
Assigned To: Aparna Karve
Matouš Mojžíš
: TestOnly, ZStream
Depends On:
Blocks: 1560098 1560099
  Show dependency treegraph
 
Reported: 2017-07-26 17:27 EDT by Jeffrey Cutter
Modified: 2018-04-07 13:40 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1560098 1560099 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
initial setup - SSL Verify Mode default to none (31.65 KB, image/png)
2017-07-26 17:27 EDT, Jeffrey Cutter
no flags Details
openssl_verify_mode not set in last_settings.txt (19.01 KB, image/png)
2017-07-26 17:28 EDT, Jeffrey Cutter
no flags Details
toggle to peer (3.16 KB, image/png)
2017-07-26 17:29 EDT, Jeffrey Cutter
no flags Details
openssl_verify_mode now set to peer (17.21 KB, image/png)
2017-07-26 17:30 EDT, Jeffrey Cutter
no flags Details
SSL Verify Mode toggled to None (and saved) (3.21 KB, image/png)
2017-07-26 17:31 EDT, Jeffrey Cutter
no flags Details
openssl_verify_mode now set to none (19.31 KB, image/png)
2017-07-26 17:31 EDT, Jeffrey Cutter
no flags Details

  None (edit)
Description Jeffrey Cutter 2017-07-26 17:27:03 EDT
Description of problem:

We are noting that on CF 4.5 when testing and/or saving Outgoing SMTP E-mail Server settings that some do not appear to be used/saved on the first attempt.  In particular, we are finding that we have to toggle some of the settings save and toggle back to get what we need.  Specifically, the first issue we encounter each time is that the SSL Verify Mode => None does not take effect.  Since the server here has a bad SSL cert, we want to use None, but we can't get None to work until we set it peer, save, set it to none, save, even though the default is none.

Version-Release number of selected component (if applicable):

5.8.0.17.20170525183055_6317a22

How reproducible:

Always

Additional info:

/var/www/miq/vmdb/log/last_settings.txt also shows nothing set for :openssl_verify_mode: until toggling the setting.

See attached pics.
Comment 2 Jeffrey Cutter 2017-07-26 17:27 EDT
Created attachment 1305049 [details]
initial setup - SSL Verify Mode default to none
Comment 3 Jeffrey Cutter 2017-07-26 17:28 EDT
Created attachment 1305050 [details]
openssl_verify_mode not set in last_settings.txt
Comment 4 Jeffrey Cutter 2017-07-26 17:29 EDT
Created attachment 1305051 [details]
toggle to peer
Comment 5 Jeffrey Cutter 2017-07-26 17:30 EDT
Created attachment 1305052 [details]
openssl_verify_mode now set to peer
Comment 6 Jeffrey Cutter 2017-07-26 17:31 EDT
Created attachment 1305053 [details]
SSL Verify Mode toggled to None (and saved)
Comment 7 Jeffrey Cutter 2017-07-26 17:31 EDT
Created attachment 1305054 [details]
openssl_verify_mode now set to none
Comment 9 Dave Johnson 2017-08-01 02:09:11 EDT
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.
Comment 12 Jeff Warnica 2017-08-24 11:25:45 EDT
I can confirm this or a related bug on 5.8.1

* Configure SMTP settings with TLS disabled
* Attempt to send test email
* See red error message with TLS failure
* switch tls verify to something, switch it back
* attempt to send test email
* Success
Comment 22 Dustin Scott 2018-01-24 15:08:47 EST
+1 on this bug.

WORKAROUND
==========

in advanced settings:

  :openssl_verify_mode: 'none'


^^^ will fix this issue
Comment 23 Jeffrey Cutter 2018-03-14 13:30:17 EDT
Note that to duplicate this problem, you need an SMTP relay that has an unsigned / self signed cert.
Comment 25 CFME Bot 2018-03-21 04:27:06 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b04dd450a00a3292bd02f2e155eb482e37948612
commit b04dd450a00a3292bd02f2e155eb482e37948612
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Mar 20 18:07:47 2018 -0400
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Tue Mar 20 18:07:47 2018 -0400

    Set `openssl_verify_mode` to "none"

    to make the value appear in Advanced settings

    https://bugzilla.redhat.com/show_bug.cgi?id=1475553

 app/controllers/ops_controller/settings/common.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Note You need to log in before you can comment on or make changes to this bug.